Skip to main content
`Ctrl`+`K`

# VecRestoreLocalVector

Unmaps the local portion of a vector previously mapped into a vector using `VecGetLocalVector()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreLocalVector(Vec v, Vec w)

Logically Collective.

## Input Parameters

- v - The local portion of this vector was previously mapped into `w` using `VecGetLocalVector()`.

- w - The vector into which the local portion of `v` was mapped.

## See Also

Vectors and Parallel Data, `Vec`, `VecCreateLocalVector()`, `VecGetLocalVector()`, `VecGetLocalVectorRead()`, `VecRestoreLocalVectorRead()`, `LocalVectorRead()`, `VecGetArrayRead()`, `VecGetArray()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

## Implementations

VecRestoreLocalVector_Nest() in src/vec/vec/impls/nest/vecnest.c
VecRestoreLocalVector_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages